# Uncomment for bootstrapping on so-name bump.
%global bootstrap 0

# Filter provides from plugins.
%global __provides_exclude_from ^%{_libdir}/%{name}/plugins/.*$


Name:		xviewer
Version:	3.2.11
Release:	1%{?dist}
Summary:	Fast and functional graphics viewer

License:	GPLv2+ and LGPLv2+
Url:		https://github.com/linuxmint/%{name}
Source:		%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	desktop-file-utils
BuildRequires:	libappstream-glib
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	pkgconfig(cinnamon-desktop) >= 3.2.0
BuildRequires:	pkgconfig(exempi-2.0) >= 1.99.5
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.19.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.38.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libexif) >= 0.6.14
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.4
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.36.2
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xapp) >= 1.9.0
BuildRequires:	pkgconfig(zlib)
BuildRequires:	shared-mime-info
BuildRequires:	yelp-devel


Requires:	shared-mime-info%{?_isa}
Requires:	xapps%{?_isa}

Recommends:	%{name}-plugins%{?_isa}
Recommends:	yelp%{?_isa}

%description
Xviewer is a simple graphics viewer for the Cinnamon desktop and others
which uses the gdk-pixbuf library. It can deal with large images, and zoom
and scroll with constant memory usage. Its goals are simplicity and standards
compliance.


%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa}	== %{version}-%{release}

%description devel
This package contains the development files to develop plugins for %{name}.


%package doc
Summary:	Documentation files for %{name}

BuildArch:	noarch
BuildRequires:	gtk-doc

%description doc
This package contains the documentation files for %{name}.


%prep
%autosetup -p 1
sed -i -e "s/'lib'/libdir/" meson.build


%build
%meson -Ddocs=true

%meson_build


%install
%meson_install
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}/plugins		\
	%{buildroot}%{_libdir}/%{name}/plugins			\
	%{buildroot}%{_mandir}/man1
%{__install} -pm 0644 debian/%{name}.1 %{buildroot}%{_mandir}/man1
%find_lang %{name}


%check
# Validate desktop-files.
%{_bindir}/desktop-file-validate				\
	%{buildroot}%{_datadir}/applications/*.desktop

# Validate AppData-files.
%{_bindir}/appstream-util validate-relax --nonet		\
	%{buildroot}%{_datadir}/metainfo/*.appdata.xml


%files -f %{name}.lang
%doc README.md THANKS debian/changelog
%license AUTHORS COPYING debian/copyright
%exclude %{_datadir}/%{name}/gir-1.0/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/help/*/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}.1*


%files devel
%{_datadir}/%{name}/gir-1.0/
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%doc %{_datadir}/doc/%{name}*
%doc %{_datadir}/gtk-doc
%license %{_datadir}/licenses/%{name}*


%changelog
* Wed Dec 28 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 3.2.11-1
- new version

* Mon Nov 21 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 3.2.10-2
- rebuilt

* Mon Nov 14 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 3.2.10-1
- new version

* Thu Aug 16 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.8.1-1
- New upstream release

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Apr 29 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-2
- Remove .la file

* Sun Apr 29 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.8.0-1
- New upstream release

* Sun Mar 11 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.6.1-1
- Free xview from gnome-desktop requirement

* Tue Feb 20 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.6.0-7
- Fix build with newer gnome-desktop3
- Fix scriplets

* Sun Feb 11 2018 Björn Esser <besser82@fedoraproject.org> - 1.6.0-6
- Rebuilt for gnome-desktop3

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Nov 17 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.0-4
- Add required scriptlets for EPEL7

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.0-3
- Redistributable build on EPEL7

* Thu Nov 16 2017 Björn Esser <besser82@fedoraproject.org> - 1.6.0-2
- Bootstrapping on EPEL7

* Sat Nov 04 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.6.0-1
- Update to 1.6.0 release

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 30 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.3-2
- Fix filtered provides

* Wed Jun 28 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.3-1
- New upstream release (rhbz#1465898)

* Wed May 24 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.2-1
- New upstream release (rhbz#1454987)

* Mon May 08 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-1
- Initial import (rhbz#1424825)

* Sun May 07 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.1-0.1
- New upstream release (rhbz#1448442)
- Properly own plugin-dirs

* Sat May 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.4.0-0.1
- New upstream release (rhbz#1448442)

* Tue Feb 21 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.3
- Initial import (rhbz#1424825)
- Bootstrap-build for xviewer-plugins

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.2
- Fix dir-ownership for %%{_datadir}/help

* Sun Feb 19 2017 Björn Esser <besser82@fedoraproject.org> - 1.2.2-0.1
- Initial rpm-release (rhbz#1424825)
